Bug 110685 - [Intel GFX CI] spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect - fail
Summary: [Intel GFX CI] spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect - fail
Status: NEEDINFO
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 18.2
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-15 12:34 UTC by Martin Peres
Modified: 2019-06-14 08:21 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-05-15 12:34:07 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/pig-snb-2600/spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect.html

Time
0.12 seconds

Out
65x32x1
Probe at (0,30)
  Expected: -0.000000 0.967742 0.000000 0.000000
  Observed: 0.098039 0.098039 0.098039 1.000000

Environment	
PIGLIT_SOURCE_DIR="/opt/igt/piglit" PIGLIT_PLATFORM="gbm"

Command	
/opt/igt/piglit/bin/texelFetch offset 140 gs sampler2DRect -auto -fbo

Full piglit results: https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/pig-snb-2600/results0.json.bz2
Comment 1 CI Bug Log 2019-05-15 12:35:27 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* pig-snb-2600: spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect - fail
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/pig-snb-2600/spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect.html
Comment 2 Denis 2019-05-16 12:24:23 UTC
hi, I checked this test on 2 our SNB's:
Intel Core i5-2400
Intel Core i5-2520M


latest master. On both test passes. Also I don't see failures of this test on mesa master branch in intel CI
https://mesa-ci.01.org/mesa_master/test/d015e970c6fe1359b4afecfa9759b0a3/history

Do you have any additional information about this failure?
Comment 3 Martin Peres 2019-05-17 13:00:10 UTC
(In reply to Denis from comment #2)
> hi, I checked this test on 2 our SNB's:
> Intel Core i5-2400
> Intel Core i5-2520M
> 
> 
> latest master. On both test passes. Also I don't see failures of this test
> on mesa master branch in intel CI
> https://mesa-ci.01.org/mesa_master/test/d015e970c6fe1359b4afecfa9759b0a3/
> history
> 
> Do you have any additional information about this failure?

Thanks for checking this out!

The machine is a Dell XPS 8300: https://intel-gfx-ci.01.org/hardware.html#pig-snb-2600 to see all the raw information from it

The version of mesa is: 18.2.2-0ubuntu1~18.04.2

Anything else you would like to know?

Martin
Comment 4 Denis 2019-05-17 14:15:42 UTC
could you please correct me if I am wrong.
As I see from the web interface, 

>https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/pig-snb-2600/runtimes0.log

CI_DRM_6085 - this is build number?

I can see that in CI_DRM_6086 and at least Ci_DRM_6087 this test passes successfully:
>  0.12 spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect pass
Does this mean that issue was fixed or could be flaky?

Also, could you please explain, why for these tests was used "mesa is: 18.2.2-0ubuntu1~18.04.2"?? I checked ubuntu 18.04 repository and found out that it already has 19.0.2 (https://launchpad.net/ubuntu/bionic/+source/mesa)

Thank you in advance for further clarifications.
Comment 5 Denis 2019-05-17 14:58:33 UTC
my configurations:
Linux ubuntu-HP-ProBook-6360b 5.0.7-050007-generic #201904052141 SMP Fri Apr 5 21:43:20 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
Ubuntu 18.04 (kde)
mesa 18.2.2 (compiled from git)

Test result output:


        "spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect": {
            "__type__": "TestResult",
            "command": "/home/ubuntu/repository/piglit/bin/texelFetch offset 140 gs sampler2DRect -auto -fbo",
            "environment": "PIGLIT_SOURCE_DIR=\"/home/ubuntu/repository/piglit\" PIGLIT_PLATFORM=\"gbm\"",
            "err": "",
            "out": "65x32x1\n",
            "result": "pass",
            "returncode": 0,
            "subtests": {
                "__type__": "Subtests"
            },
            "time": {
                "start": 1558104612.5021374,
                "end": 1558104612.6262546,
                "__type__": "TimeAttribute"
            },
Comment 6 Martin Peres 2019-05-21 05:20:30 UTC
(In reply to Denis from comment #4)
> could you please correct me if I am wrong.
> As I see from the web interface, 
> 
> >https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6085/pig-snb-2600/runtimes0.log
> 
> CI_DRM_6085 - this is build number?

CI_DRM is indeed the build ID for Linux, but it is also used as an ID for the type of run (post-merge testing of a kernel change, with the latest IGT that was previously tested).

> 
> I can see that in CI_DRM_6086 and at least Ci_DRM_6087 this test passes
> successfully:
> >  0.12 spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect pass
> Does this mean that issue was fixed or could be flaky?

Fixed, for sure not: We do not update mesa nor piglit. Well, it could still be an issue introduced by the kernel and then fixed immediately, but I doubt it very much as developers usually don't look at mesa failures except during pre-merge testing.

So yeah, it seems like it is a flaky test, with a very low reproduction rate...

> 
> Also, could you please explain, why for these tests was used "mesa is:
> 18.2.2-0ubuntu1~18.04.2"?? I checked ubuntu 18.04 repository and found out
> that it already has 19.0.2 (https://launchpad.net/ubuntu/bionic/+source/mesa)

I guess we have not updated yet these machines. I SSHed into it and it was indeed using this old version of mesa (would be nice for piglit to store the mesa version when using the gbm platform, it would save me time :D).

> 
> Thank you in advance for further clarifications.

Thanks you for checking it out! The kernel's CI is very bug-centric, so every failure needs to be documented in a bug, so as to provide a forum of discussion about it and try to understand the possible impact of it (which depends a lot on the reproduction rate). This is why you see from time to time bugs from me :)
Comment 7 CI Bug Log 2019-05-24 12:20:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- pig-snb-2600: spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect - fail -}
{+ pig-snb-2600: spec@glsl-1.50@execution@texelfetch* / spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail +}

New failures caught by the filter:
Comment 8 Martin Peres 2019-05-24 12:23:16 UTC
(In reply to CI Bug Log from comment #7)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- pig-snb-2600: spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect
> - fail -}
> {+ pig-snb-2600: spec@glsl-1.50@execution@texelfetch* /
> spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail +}
> 
> New failures caught by the filter:

We got 6 more failures related to this area (5 on the same run :o). I am wondering if this could be a kernel regression given that mesa did not change.

Any opinion on this before I move this to the kernel?
Comment 9 Mark Janes 2019-05-24 17:16:57 UTC
This test is totally reliable for our snb systems on 4.19 kernel.


If you have any trouble investigating it on the kernel side, let us know.  Denis could probably install drm-tip and see if he can repro.
Comment 10 CI Bug Log 2019-05-27 08:37:18 UTC
A CI Bug Log filter associated to this bug has been updated:

{- pig-snb-2600: spec@glsl-1.50@execution@texelfetch* / spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail -}
{+ pig-snb-2600: spec@glsl-1.50@execution@texelfetch* / spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail +}

New failures caught by the filter:
Comment 11 Denis 2019-05-27 08:38:56 UTC
>Denis could probably install drm-tip and see if he can repro.
Absolutely correct. I will try to reproduce it locally and if I be lucky - will make a bisect
Comment 12 Martin Peres 2019-05-27 08:42:02 UTC
(In reply to Mark Janes from comment #9)
> This test is totally reliable for our snb systems on 4.19 kernel.

Thanks Mark for the information!

>
> If you have any trouble investigating it on the kernel side, let us know. 
> Denis could probably install drm-tip and see if he can repro.

I am wondering whether this could be the machine showing sign of age or if this is a test issue. However, with the number of failures starting to pile up, all on the same type of tests, I think I will see if we can get a GEM developer to investigate what could be going on here!

In any case, thanks for the fast feedback! Let's see if we can fix this regression before it hits users!
Comment 13 Martin Peres 2019-05-27 08:42:43 UTC
(In reply to Denis from comment #11)
> >Denis could probably install drm-tip and see if he can repro.
> Absolutely correct. I will try to reproduce it locally and if I be lucky -
> will make a bisect

You rock \o/!
Comment 14 Martin Peres 2019-05-27 08:49:18 UTC
So far, we got the following 12 failures (on 9 tests):

spec@glsl-1.50@execution@texelfetchoffset@gs-sampler2drect
spec@glsl-1.30@execution@texelfetch fs sampler2darray 98x1x9-98x129x9
spec@glsl-1.30@execution@texelfetch fs sampler2darray 98x1x9-98x129x9
spec@glsl-1.30@execution@texelfetch fs sampler2darray 1x129x9-98x129x9
spec@glsl-1.30@execution@texelfetch fs sampler2darray 1x129x9-98x129x9
spec@glsl-1.30@execution@texelfetch fs sampler2d 1x281-501x281
spec@glsl-1.30@execution@texelfetch fs sampler2d 1x281-501x281
spec@glsl-1.30@execution@tex-miplevel-selection textureprojgrad 1d
spec@glsl-1.30@execution@tex-miplevel-selection texture(bias) cube
spec@glsl-1.30@execution@tex-miplevel-selection texture(bias) 3d
spec@glsl-1.30@execution@tex-miplevel-selection texture(bias) 2darray
spec@glsl-1.30@execution@tex-miplevel-selection texture(bias) 1darray

The first failure appeared on CI_DRM_6085[1], and the last one on CI_DRM_6133[2]. I hope this helps!

[1] 48d8cf5cc0aadd21924d05ad3e86b08d8e0e1c50 @ git://anongit.freedesktop.org/gfx-ci/linux
[2] c22847d8bc09118895483b277cbe4bf4f82ac444 @ git://anongit.freedesktop.org/gfx-ci/linux
Comment 15 CI Bug Log 2019-05-29 07:30:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- pig-snb-2600: spec@glsl-1.50@execution@texelfetch* / spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail -}
{+ pig-snb-2600: spec@glsl-1.50@execution@texelfetch* / spec@glsl-1.30@execution@tex-miplevel-selection texture* - fail +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_6156/pig-snb-2600/spec@arb_texture_multisample@texelfetch@2-gs-isampler2dmsarray.html
Comment 16 Denis 2019-05-29 09:43:47 UTC
hey guys, I built kernel from 17,05 (drm-tip) and ran texelFetch cases (all) 1000 times.
It is still running but in log I already see at least 1 failure. It can be even mentioned in this bug issue. Continue investigations :)
Comment 17 Denis 2019-06-06 10:16:04 UTC
to be honest, I don't have any ideas.
https://docs.google.com/spreadsheets/d/130t9Z5Y9gew1Gz1_36nJVxdIe2HLIoNSbzW9grh0URY/edit?usp=sharing

In this table you may find results for my test runs. Short information:

1. Script ran test suite with all texelFetch cases 1000 times
2. Script was ran on 5 kernel versions - drm-tip (from 05.17), kernel 5.17, kernel 4.18 and kernel 4.9
3. For all kernels was used mesa version 19.1.0 (from git)
4. For 4.9 kernel also was checked mesa 17.3.6

I didn't see any combination with mesa+kernel where all tests (during all 1000 runs in a row) would be passed, so can't suppose that it may be regression.

List of cases which were randomly failed (details about failures in the google doc table):

spec@arb_texture_multisample@texelfetch@4-gs-sampler2dmsarray
spec@glsl-1.50@execution@texelfetch@gs-texelfetch-sampler3d
spec@glsl-1.50@execution@texelfetch@gs-texelfetch-sampler2drect
spec@arb_texture_multisample@texelfetch@2-gs-isampler2dmsarray
spec@glsl-1.50@execution@texelfetch@gs-texelfetch-isampler2drect
spec@arb_texture_multisample@texelfetch@4-gs-usampler2dmsarray


Checking these test cases now => @tex-miplevel-selection
Comment 18 Denis 2019-06-14 08:21:43 UTC
>Checking these test cases now => @tex-miplevel-selection
small update. Tests from this suite also fail in different runs. Tested on 17,3,6 mesa and 4.9 kernel, so it is not regression :(


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.